GuideLab API

List Automations

GET
/automations

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?||
Defaultfalse
search?string
triggerType?string

Value in

  • "order_created"
  • "order_status_changed"
  • "product_added_to_order"
  • "manual"
  • "qc_completed"
  • "scheduled_invoice_generation"
page?integer
Range0 < value
Default1
limit?integer
Range0 < value <= 100
Default50

Response Body

application/json

curl -X GET "https://example.com/automations"
{  "data": [    {      "id": "string",      "labId": "string",      "name": "string",      "description": "string",      "triggerType": "string",      "triggerConfig": {        "property1": null,        "property2": null      },      "flowDefinition": {        "property1": null,        "property2": null      },      "activeRevisionId": "string",      "archivedAt": "string",      "isActive": true,      "sortOrder": 0,      "createdAt": "string",      "updatedAt": "string"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty